<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: StringDimensions Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>StringDimensions Class Reference</h1><!-- doxytag: class="StringDimensions" -->Class <a class="el" href="classStringDimensions.html" title="Class StringDimensions maintains the relevant dimensions of a text string realized...">StringDimensions</a> maintains the relevant dimensions of a text string realized (i.e., drawn) in a given font face and font size.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="stringDimensions_8h-source.html">stringDimensions.h</a>&gt;</code>
<p>

<p>
<a href="classStringDimensions-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#f02b6588311f81d811e412e64b93b5c4">StringDimensions</a> (double xAdv=0.0, double yMin=0.0, double yMax=0.0, double spacingFactor=1.2)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#6b48a8bd305aed180d61db7630f3da13">accrueXAdvance</a> (const double xAdv)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sum up the individual x advances of each glyph:.  <a href="#6b48a8bd305aed180d61db7630f3da13"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#3d79239053ab690c01c3bb26218e3760">setYMin</a> (const double yMin)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Keep a running tab on the minimum y value (descent) from all glyphs:.  <a href="#3d79239053ab690c01c3bb26218e3760"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#8e9a664f330178f3349a1bc42f17305f">setYMax</a> (const double yMax)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Keep a running tab on the maximum y value (ascent) from all glyphs:.  <a href="#8e9a664f330178f3349a1bc42f17305f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#101735d1edfc13a1a0a07a17b8fdcf50">getXAdvance</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#98d0e88b63394326c9d2572c1f211b71">getYMin</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#e37ed1d08e7ba5fffb03712190fdeb30">getYMax</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#e8946f159633e58ffc71618adcb2a091">getLineSpacing</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Line spacing is just the maximum ascent minus the maximum descent multiplied by the line spacing factor:.  <a href="#e8946f159633e58ffc71618adcb2a091"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#41ee8226f88016fee772b111f5f99c75">xadv</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#dd90080bcdecc910b8acb635afebd9a4">ymin</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#d4de9c5572ca572491eef4e848c0b366">ymax</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStringDimensions.html#1ce95e111d24ddcdd9e050f314bddcac">lineSpacingFactor</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class <a class="el" href="classStringDimensions.html" title="Class StringDimensions maintains the relevant dimensions of a text string realized...">StringDimensions</a> maintains the relevant dimensions of a text string realized (i.e., drawn) in a given font face and font size. 
<p>
Used internally by <a class="el" href="namespaceLASi.html">LASi</a>. <hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="f02b6588311f81d811e412e64b93b5c4"></a><!-- doxytag: member="StringDimensions::StringDimensions" ref="f02b6588311f81d811e412e64b93b5c4" args="(double xAdv=0.0, double yMin=0.0, double yMax=0.0, double spacingFactor=1.2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">StringDimensions::StringDimensions           </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>xAdv</em> = <code>0.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>yMin</em> = <code>0.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>yMax</em> = <code>0.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>spacingFactor</em> = <code>1.2</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="6b48a8bd305aed180d61db7630f3da13"></a><!-- doxytag: member="StringDimensions::accrueXAdvance" ref="6b48a8bd305aed180d61db7630f3da13" args="(const double xAdv)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StringDimensions::accrueXAdvance           </td>
          <td>(</td>
          <td class="paramtype">const double&nbsp;</td>
          <td class="paramname"> <em>xAdv</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sum up the individual x advances of each glyph:. 
<p>

</div>
</div><p>
<a class="anchor" name="3d79239053ab690c01c3bb26218e3760"></a><!-- doxytag: member="StringDimensions::setYMin" ref="3d79239053ab690c01c3bb26218e3760" args="(const double yMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StringDimensions::setYMin           </td>
          <td>(</td>
          <td class="paramtype">const double&nbsp;</td>
          <td class="paramname"> <em>yMin</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Keep a running tab on the minimum y value (descent) from all glyphs:. 
<p>

</div>
</div><p>
<a class="anchor" name="8e9a664f330178f3349a1bc42f17305f"></a><!-- doxytag: member="StringDimensions::setYMax" ref="8e9a664f330178f3349a1bc42f17305f" args="(const double yMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StringDimensions::setYMax           </td>
          <td>(</td>
          <td class="paramtype">const double&nbsp;</td>
          <td class="paramname"> <em>yMax</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Keep a running tab on the maximum y value (ascent) from all glyphs:. 
<p>

</div>
</div><p>
<a class="anchor" name="101735d1edfc13a1a0a07a17b8fdcf50"></a><!-- doxytag: member="StringDimensions::getXAdvance" ref="101735d1edfc13a1a0a07a17b8fdcf50" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double StringDimensions::getXAdvance           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="98d0e88b63394326c9d2572c1f211b71"></a><!-- doxytag: member="StringDimensions::getYMin" ref="98d0e88b63394326c9d2572c1f211b71" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double StringDimensions::getYMin           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e37ed1d08e7ba5fffb03712190fdeb30"></a><!-- doxytag: member="StringDimensions::getYMax" ref="e37ed1d08e7ba5fffb03712190fdeb30" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double StringDimensions::getYMax           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e8946f159633e58ffc71618adcb2a091"></a><!-- doxytag: member="StringDimensions::getLineSpacing" ref="e8946f159633e58ffc71618adcb2a091" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double StringDimensions::getLineSpacing           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Line spacing is just the maximum ascent minus the maximum descent multiplied by the line spacing factor:. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="41ee8226f88016fee772b111f5f99c75"></a><!-- doxytag: member="StringDimensions::xadv" ref="41ee8226f88016fee772b111f5f99c75" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double <a class="el" href="classStringDimensions.html#41ee8226f88016fee772b111f5f99c75">StringDimensions::xadv</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="dd90080bcdecc910b8acb635afebd9a4"></a><!-- doxytag: member="StringDimensions::ymin" ref="dd90080bcdecc910b8acb635afebd9a4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double <a class="el" href="classStringDimensions.html#dd90080bcdecc910b8acb635afebd9a4">StringDimensions::ymin</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d4de9c5572ca572491eef4e848c0b366"></a><!-- doxytag: member="StringDimensions::ymax" ref="d4de9c5572ca572491eef4e848c0b366" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double <a class="el" href="classStringDimensions.html#d4de9c5572ca572491eef4e848c0b366">StringDimensions::ymax</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1ce95e111d24ddcdd9e050f314bddcac"></a><!-- doxytag: member="StringDimensions::lineSpacingFactor" ref="1ce95e111d24ddcdd9e050f314bddcac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double <a class="el" href="classStringDimensions.html#1ce95e111d24ddcdd9e050f314bddcac">StringDimensions::lineSpacingFactor</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="stringDimensions_8h-source.html">stringDimensions.h</a></ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
